Groovy 1.7.10

## groovy.util
[Java] Interface ObjectGraphBuilder.RelationNameResolver

    public interface ObjectGraphBuilder.RelationNameResolver

Strategy for resolving a relationship property name.

Method Summary
`String` | `resolveChildRelationName(String parentName, Object parent, String childName, Object child)` Returns the mapping name of child -> parent
`String` | `resolveParentRelationName(String parentName, Object parent, String childName, Object child)` Returns the mapping name of parent -> child

Method Detail

### resolveChildRelationName

    public String resolveChildRelationName(String parentName, Object parent, String childName, Object child)

  Returns the mapping name of child -> parent
  Parameters:
    `parentName` - the name of the parent node
    `parent` - the parent node
    `childName` - the name of the child node
    `child` - the child node

### resolveParentRelationName

    public String resolveParentRelationName(String parentName, Object parent, String childName, Object child)

  Returns the mapping name of parent -> child
  Parameters:
    `parentName` - the name of the parent node
    `parent` - the parent node
    `childName` - the name of the child node
    `child` - the child node

Copyright © 2003-2010 The Codehaus. All rights reserved.